From 867735e978405c2eda72db568a07832ca3f57624 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sun, 9 Aug 2026 05:49:04 +0000
Subject: [PATCH] libffi: upgrade 3.7.1 -> 3.8.0

Source: ChangeLog

commit 12ffd1f9dc56fcea79d2f742f424301ae668d663
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Aug 8 18:08:29 2026 -0400

    README: order 3.8.0 notes by decreasing importance

    Lead with new capabilities (VECTOR types, ffi_call_plan_size, ppc64
    _Complex long double), then correctness fixes by severity, then the
    trampoline caching optimization.

    Co-Authored-By: Claude Opus 4.8 (1M context) <noreply@anthropic.com>

commit 8f2a41d9d89dd8ee2c2438f1e2f9cf04aa9a53d4
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Aug 8 18:05:33 2026 -0400

    Release 3.8.0

    Bump version to 3.8.0, soname to libffi.so.8.5.0 (libtool 13:0:5) for the
    new public interfaces added this cycle (FFI_TYPE_VECTOR, ffi_call_plan_size),
    date the README history section, and update doc/version.texi.

    Co-Authored-By: Claude Opus 4.8 (1M context) <noreply@anthropic.com>

commit d956fe177ccfd4bb91ae7cb3ccaa0f8935a76522
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Aug 8 17:38:40 2026 -0400

    testsuite: distribute plan_size.c

    The ffi_call_plan_size test added in #1006 was not listed in EXTRA_DIST,
    so it would be omitted from release tarballs (it still runs from a git
    checkout, where dejagnu globs *.c). Add it alongside the other plan_*.c
    tests.

    Co-Authored-By: Claude Opus 4.8 (1M context) <noreply@anthropic.com>

commit 670a0327b7d1576712a3cad7b9297f59f23d5430
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Aug 8 17:09:22 2026 -0400

    README: note i386 BSD small-struct register return

    Follow-up to #1010, which returns small structs in registers on i386
    FreeBSD/OpenBSD but did not update the History section.

    Co-Authored-By: Claude Opus 4.8 (1M context) <noreply@anthropic.com>

commit f744bc303fa4c69f1202ce283b866ebc768e0432
Merge: abc18be0 5b8fa3fe
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Aug 8 17:09:02 2026 -0400

    Merge pull request #1010 from DTW-Thalion/x86-bsd-small-struct-return

    x86: return small structs in registers on the BSD i386 targets

commit abc18be0d9ba9cc37c955b317e63cd52fd0d90ee
Merge: ed742112 5f24e6a0
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Aug 8 16:57:36 2026 -0400

    Merge pull request #1006 from rvandermeulen/call-plan-size

    call_plan: add ffi_call_plan_size to report a plan's allocation

commit ed7421122880e4daff87f1c8623d508a2e2c5c9a
Merge: e43f2548 e6db2d38
Author: Anthony Green <green@moxielogic.com>
Date:   Sat Aug 8 16:41:24 2026 -0400

    Merge pull request #1009 from libffi/fix-jumptable-desync-family

    Fix FFI_TYPE_LAST/vector jump-table desyncs on ia64, ppc64 (BE ELFv2), and aarch64

commit e6db2d38decee8bf6321472dff5147ad311e639a
Author: Anthony Green <green@moxielogic.com>
Date:   Fri Aug 7 17:00:49 2026 -0400

    aarch64: reject sub-4-byte vector lanes in HVA classification

    is_vfp_type() maps a homogeneous vector aggregat

[Changelog truncated as it exceeds 3000 characters;
the full changelog can be found in an attachment to the AUH email]
---
 meta/recipes-support/libffi/libffi/not-win32.patch            | 4 ++--
 .../libffi/{libffi_3.7.1.bb => libffi_3.8.0.bb}               | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)
 rename meta/recipes-support/libffi/{libffi_3.7.1.bb => libffi_3.8.0.bb} (94%)

diff --git a/meta/recipes-support/libffi/libffi/not-win32.patch b/meta/recipes-support/libffi/libffi/not-win32.patch
index 1f77db2fe0..8808f502fb 100644
--- a/meta/recipes-support/libffi/libffi/not-win32.patch
+++ b/meta/recipes-support/libffi/libffi/not-win32.patch
@@ -1,4 +1,4 @@
-From 3b0ec51416b341cdb681796bd52dfe86d0d9bea0 Mon Sep 17 00:00:00 2001
+From 4f0da02754f86ec1aa38b2207872386b19605ec1 Mon Sep 17 00:00:00 2001
 From: Ross Burton <ross.burton@intel.com>
 Date: Thu, 4 Feb 2016 16:22:50 +0000
 Subject: [PATCH] libffi: ensure sysroot paths are not in libffi.pc
@@ -20,7 +20,7 @@ Signed-off-by: Ross Burton <ross.burton@intel.com>
  1 file changed, 1 insertion(+), 1 deletion(-)
 
 diff --git a/configure.ac b/configure.ac
-index 3370acc..2f96c6f 100644
+index 826b453..54a41d8 100644
 --- a/configure.ac
 +++ b/configure.ac
 @@ -429,7 +429,7 @@ AC_ARG_ENABLE(multi-os-directory,
diff --git a/meta/recipes-support/libffi/libffi_3.7.1.bb b/meta/recipes-support/libffi/libffi_3.8.0.bb
similarity index 94%
rename from meta/recipes-support/libffi/libffi_3.7.1.bb
rename to meta/recipes-support/libffi/libffi_3.8.0.bb
index e9afb7eb7c..583b143157 100644
--- a/meta/recipes-support/libffi/libffi_3.7.1.bb
+++ b/meta/recipes-support/libffi/libffi_3.8.0.bb
@@ -13,7 +13,7 @@ LIC_FILES_CHKSUM = "file://LICENSE;md5=5e9a8df556846bb3d1edec0d968a2311"
 SRC_URI = "${GITHUB_BASE_URI}/download/v${PV}/${BPN}-${PV}.tar.gz \
            file://not-win32.patch \
            "
-SRC_URI[sha256sum] = "d5e9a6638ddbd2513ddb54518eb67e4bbe6fa707bcc01c10f6212f0a088d819d"
+SRC_URI[sha256sum] = "7da3e2d9a171eb0a038f592ecad3ff2bb2550f3496d87b3b29ad0cf4430c0db4"
 
 EXTRA_OECONF = "--disable-builddir"
 EXTRA_OECONF:class-native += "--with-gcc-arch=generic"
-- 
2.47.1

